MONGOC_COLLECTION_CREATE_INDEX_WITH_OPTS(3)

NAME
mongoc_collection_create_index_with_opts - mongoc_collection_create_index_with_opts()

WARNING: Deprecated since version 1.8.0: This function is deprecated and should not be used in new code. See Manage Collection Indexes.

SYNOPSIS

bool
mongoc_collection_create_index_with_opts (mongoc_collection_t *collection,
                                          const bson_t *keys,
                                          const mongoc_index_opt_t *index_opts,
                                          const bson_t *command_opts,
                                          bson_t *reply,
                                          bson_error_t *error)
   BSON_GNUC_DEPRECATED;

PARAMETERS

•   collection: A mongoc_collection_t.

•   keys: A bson_t.

•   index_opts: A mongoc_index_opt_t.

•   reply: An optional location for a bson_t which will store the server's reply.

•   error: An optional location for a bson_error_t or NULL.

    command_opts may be NULL or a BSON document with additional command options:

•   writeConcern: Construct a mongoc_write_concern_t and use mongoc_write_concern_append() to add the write concern to opts. See the example code for mongoc_client_write_command_with_opts().

•   sessionId: First, construct a mongoc_client_session_t with mongoc_client_start_session(). You can begin a transaction with mongoc_client_session_start_transaction(), optionally with a mongoc_transaction_opt_t that overrides the options inherited from collection, and use mongoc_client_session_append() to add the session to opts. See the example code for mongoc_client_session_t.

DESCRIPTION

This function will request the creation of a new index.

This function will use the createIndexes command. The server's reply is stored in reply.

If no write concern is provided in command_opts, the collection's write concern is used.

See mongoc_index_opt_t for options on creating indexes.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

reply is always initialized and must be destroyed with bson_destroy(). If the server is running an obsolete version of MongoDB then reply may be empty, though it will still be initialized.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc